# Class: StoreGetProductsPaginationParams

[internal](../modules/internal-41.md).StoreGetProductsPaginationParams

## Hierarchy

- [`PriceSelectionParams`](internal-40.PriceSelectionParams.md)

  ↳ **`StoreGetProductsPaginationParams`**

  ↳↳ [`StoreGetProductsParams`](internal-41.StoreGetProductsParams.md)

## Properties

### cart\_id

• `Optional` **cart\_id**: `string`

#### Inherited from

[PriceSelectionParams](internal-40.PriceSelectionParams.md).[cart_id](internal-40.PriceSelectionParams.md#cart_id)

#### Defined in

medusa/dist/types/price-selection.d.ts:2

___

### currency\_code

• `Optional` **currency\_code**: `string`

#### Inherited from

[PriceSelectionParams](internal-40.PriceSelectionParams.md).[currency_code](internal-40.PriceSelectionParams.md#currency_code)

#### Defined in

medusa/dist/types/price-selection.d.ts:4

___

### expand

• `Optional` **expand**: `string`

#### Defined in

medusa/dist/api/routes/store/products/list-products.d.ts:143

___

### fields

• `Optional` **fields**: `string`

#### Defined in

medusa/dist/api/routes/store/products/list-products.d.ts:142

___

### limit

• `Optional` **limit**: `number`

#### Defined in

medusa/dist/api/routes/store/products/list-products.d.ts:145

___

### offset

• `Optional` **offset**: `number`

#### Defined in

medusa/dist/api/routes/store/products/list-products.d.ts:144

___

### region\_id

• `Optional` **region\_id**: `string`

#### Inherited from

[PriceSelectionParams](internal-40.PriceSelectionParams.md).[region_id](internal-40.PriceSelectionParams.md#region_id)

#### Defined in

medusa/dist/types/price-selection.d.ts:3
